Bug 568793
| Summary: | dracut tries to activate RAIDs called "no", "raid", and "sets" | ||
|---|---|---|---|
| Product: | [Fedora] Fedora | Reporter: | Sven <svene> |
| Component: | dracut | Assignee: | Harald Hoyer <harald> |
| Status: | CLOSED ERRATA | QA Contact: | Fedora Extras Quality Assurance <extras-qa> |
| Severity: | medium | Docs Contact: | |
| Priority: | low | ||
| Version: | 12 | CC: | harald, jonathan, vladimir |
| Target Milestone: | --- | ||
| Target Release: | --- | ||
| Hardware: | All | ||
| OS: | Linux | ||
| Whiteboard: | |||
| Fixed In Version: | dracut-005-2.fc12 | Doc Type: | Bug Fix |
| Doc Text: | Story Points: | --- | |
| Clone Of: | Environment: | ||
| Last Closed: | 2010-05-11 19:46:33 UTC | Type: | --- |
| Regression: | --- | Mount Type: | --- |
| Documentation: | --- | CRM: | |
| Verified Versions: | Category: | --- | |
| oVirt Team: | --- | RHEL 7.3 requirements from Atomic Host: | |
| Cloudforms Team: | --- | Target Upstream Version: | |
| Embargoed: | |||
Same issue with 00:14.1 IDE interface: ATI Technologies Inc SB600 IDE on a Gateway LT3101u netbook (AMD Athlon64, 2GB, 64GB SSD, Radeon X1200). Proposed patch for /usr/share/dracut/modules.d/90dmraid/dmraid.sh
diff --git a/modules.d/90dmraid/dmraid.sh b/modules.d/90dmraid/dmraid.sh
index 4e47e2d..2586376 100755
--- a/modules.d/90dmraid/dmraid.sh
+++ b/modules.d/90dmraid/dmraid.sh
@@ -10,7 +10,7 @@ DM_CLEANUP="no"
info "Scanning for dmraid devices $DM_RAIDS"
SETS=$(dmraid -c -s)
-if [ "$SETS" = "no raid disks" ]; then
+if [ $? -ne 0 -o "$SETS" = "no raid disks" -o "$SETS" = "no raid sets" ]; then
return
fi
dracut-005-2.fc12 has been submitted as an update for Fedora 12. http://admin.fedoraproject.org/updates/dracut-005-2.fc12 dracut-005-2.fc12 has been submitted as an update for Fedora 12. http://admin.fedoraproject.org/updates/dracut-005-2.fc12 dracut-005-2.fc12 has been pushed to the Fedora 12 testing repository. If problems still persist, please make note of it in this bug report. If you want to test the update, you can install it with su -c 'yum --enablerepo=updates-testing update dracut'. You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dracut-005-2.fc12 dracut-005-2.fc12 has been pushed to the Fedora 12 stable repository. If problems still persist, please make note of it in this bug report. |
On a system with a "Marvell Technology Group Ltd. MV88SX6041 4-port SATA II PCI-X Controller" but with the disks not configured as RAID, just passed through to the OS as separate drives, the call to dmraid gets a return value it can't handle. It then tries to activate each word in the error message as an array. Without rd_NO_DM added to grub.conf, booting fails. in /usr/share/dracut/modules.d/90dmraid/dmraid.sh: ... SETS=$(dmraid -c -s) if [ "$SETS" = "no raid disks" ]; then return fi ... output of "dmraid -c -s": ERROR: no RAID set found no raid sets Version-Release number of selected component (if applicable): dracut-004-4.fc12.noarch Additional info: Output of "dmraid -c -s -vv": NOTICE: /dev/dm-1: asr discovering NOTICE: /dev/dm-1: ddf1 discovering NOTICE: /dev/dm-1: hpt37x discovering NOTICE: /dev/dm-1: hpt45x discovering NOTICE: /dev/dm-1: isw discovering NOTICE: /dev/dm-1: jmicron discovering NOTICE: /dev/dm-1: lsi discovering NOTICE: /dev/dm-1: nvidia discovering NOTICE: /dev/dm-1: pdc discovering NOTICE: /dev/dm-1: sil discovering NOTICE: /dev/dm-1: via discovering NOTICE: /dev/dm-0: asr discovering NOTICE: /dev/dm-0: ddf1 discovering NOTICE: /dev/dm-0: hpt37x discovering NOTICE: /dev/dm-0: hpt45x discovering NOTICE: /dev/dm-0: isw discovering NOTICE: /dev/dm-0: jmicron discovering NOTICE: /dev/dm-0: lsi discovering NOTICE: /dev/dm-0: nvidia discovering NOTICE: /dev/dm-0: pdc discovering NOTICE: /dev/dm-0: sil discovering NOTICE: /dev/dm-0: via discovering NOTICE: /dev/sde: asr discovering NOTICE: /dev/sde: ddf1 discovering NOTICE: /dev/sde: hpt37x discovering NOTICE: /dev/sde: hpt45x discovering NOTICE: /dev/sde: isw discovering NOTICE: /dev/sde: jmicron discovering NOTICE: /dev/sde: lsi discovering NOTICE: /dev/sde: nvidia discovering NOTICE: /dev/sde: pdc discovering NOTICE: /dev/sde: sil discovering NOTICE: /dev/sde: via discovering NOTICE: /dev/sdd: asr discovering NOTICE: /dev/sdd: ddf1 discovering NOTICE: /dev/sdd: ddf1 metadata discovered NOTICE: /dev/sdd: hpt37x discovering NOTICE: /dev/sdd: hpt45x discovering NOTICE: /dev/sdd: isw discovering NOTICE: /dev/sdd: jmicron discovering NOTICE: /dev/sdd: lsi discovering NOTICE: /dev/sdd: nvidia discovering NOTICE: /dev/sdd: pdc discovering NOTICE: /dev/sdd: sil discovering NOTICE: /dev/sdd: via discovering NOTICE: /dev/sdc: asr discovering NOTICE: /dev/sdc: ddf1 discovering NOTICE: /dev/sdc: ddf1 metadata discovered NOTICE: /dev/sdc: hpt37x discovering NOTICE: /dev/sdc: hpt45x discovering NOTICE: /dev/sdc: isw discovering NOTICE: /dev/sdc: jmicron discovering NOTICE: /dev/sdc: lsi discovering NOTICE: /dev/sdc: nvidia discovering NOTICE: /dev/sdc: pdc discovering NOTICE: /dev/sdc: sil discovering NOTICE: /dev/sdc: via discovering NOTICE: /dev/sdb: asr discovering NOTICE: /dev/sdb: ddf1 discovering NOTICE: /dev/sdb: ddf1 metadata discovered NOTICE: /dev/sdb: hpt37x discovering NOTICE: /dev/sdb: hpt45x discovering NOTICE: /dev/sdb: isw discovering NOTICE: /dev/sdb: jmicron discovering NOTICE: /dev/sdb: lsi discovering NOTICE: /dev/sdb: nvidia discovering NOTICE: /dev/sdb: pdc discovering NOTICE: /dev/sdb: sil discovering NOTICE: /dev/sdb: via discovering NOTICE: /dev/sda: asr discovering NOTICE: /dev/sda: ddf1 discovering NOTICE: /dev/sda: ddf1 metadata discovered NOTICE: /dev/sda: hpt37x discovering NOTICE: /dev/sda: hpt45x discovering NOTICE: /dev/sda: isw discovering NOTICE: /dev/sda: jmicron discovering NOTICE: /dev/sda: lsi discovering NOTICE: /dev/sda: nvidia discovering NOTICE: /dev/sda: pdc discovering NOTICE: /dev/sda: sil discovering NOTICE: /dev/sda: via discovering NOTICE: added /dev/sdd to RAID set ".ddf1_disks" NOTICE: added /dev/sdc to RAID set ".ddf1_disks" NOTICE: added /dev/sdb to RAID set ".ddf1_disks" NOTICE: added /dev/sda to RAID set ".ddf1_disks" ERROR: no RAID set found no raid sets